Bug 169287 - [patch] sysutils/munin-node hdd_smartctl can't read ATACAM hdd
Summary: [patch] sysutils/munin-node hdd_smartctl can't read ATACAM hdd
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Florian Smeets
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-21 08:50 UTC by TAKEMON Takashi
Modified: 2012-09-13 23:10 UTC (History)
0 users

See Also:


Attachments
file.diff (480 bytes, patch)
2012-06-21 08:50 UTC, TAKEMON Takashi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description TAKEMON Takashi 2012-06-21 08:50:09 UTC
 sysutils/munin-node hdd_smartctl plugin can't read ATACAM hdd.
I tryed to make patch this problem.
Comment 1 Edwin Groothuis freebsd_committer 2012-06-21 08:50:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->flo

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-09-13 23:00:51 UTC
Author: flo
Date: Thu Sep 13 22:00:33 2012
New Revision: 304233
URL: http://svn.freebsd.org/changeset/ports/304233

Log:
  - Update to 2.0.6 based on [1]
  - Add support for ada disk devices to hddtemp_smartctl [2]
  - Add a patch for upstream bug 1251 to prevent huge munin-graph.log files
  
  PR:		ports/171116 [1]
  PR:		ports/169287 [2]
  Submitted by:	mm [1], TAKEMON Takashi <takemon@bamboogate.co.jp> [2]

Added:
  head/sysutils/munin-master/files/patch-bug1251   (contents, props changed)
  head/sysutils/munin-node/files/munin-sched.in   (contents, props changed)
  head/sysutils/munin-node/files/patch-plugins__node.d.freebsd__iostat.in   (contents, props changed)
  head/sysutils/munin-node/files/patch-plugins__node.d__hddtemp_smartctl.in   (contents, props changed)
Deleted:
  head/sysutils/munin-master/distinfo
  head/sysutils/munin-master/files/patch-Makefile
  head/sysutils/munin-master/files/patch-Makefile.config
  head/sysutils/munin-master/files/patch-master-__bin-munin-check.in
  head/sysutils/munin-node/distinfo
  head/sysutils/munin-node/files/patch-Makefile
  head/sysutils/munin-node/files/patch-Makefile.config
  head/sysutils/munin-node/files/patch-node-node.d.freebsd-dev_cpu_.diff
  head/sysutils/munin-node/files/patch-plugins__node.d__colour_tester.in
Modified:
  head/sysutils/munin-common/Makefile   (contents, props changed)
  head/sysutils/munin-common/distinfo   (contents, props changed)
  head/sysutils/munin-common/files/patch-Makefile   (contents, props changed)
  head/sysutils/munin-common/munin.mk   (contents, props changed)
  head/sysutils/munin-common/pkg-plist   (contents, props changed)
  head/sysutils/munin-master/Makefile   (contents, props changed)
  head/sysutils/munin-master/pkg-plist   (contents, props changed)
  head/sysutils/munin-node/Makefile   (contents, props changed)
  head/sysutils/munin-node/files/patch-node__sbin__munin-node   (contents, props changed)
  head/sysutils/munin-node/files/patch-plugins__node.d__squeezebox_.in   (contents, props changed)
  head/sysutils/munin-node/pkg-plist   (contents, props changed)

Modified: head/sysutils/munin-common/Makefile
==============================================================================
--- head/sysutils/munin-common/Makefile	Thu Sep 13 20:33:53 2012	(r304232)
+++ head/sysutils/munin-common/Makefile	Thu Sep 13 22:00:33 2012	(r304233)
@@ -6,9 +6,9 @@
 #
 
 PORTNAME=	munin
-PORTVERSION=	1.4.7
+PORTVERSION=	${MUNIN_VERSION}
 CATEGORIES=	sysutils perl5
-MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}%20stable/${PORTVERSION}
+MASTER_SITES=	${MUNIN_SITES}
 PKGNAMESUFFIX=	-common
 
 MAINTAINER=	flo@FreeBSD.org
@@ -24,6 +24,9 @@ WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVER
 
 .include "${.CURDIR}/../munin-common/munin.mk"
 
+USERS=		${MUNIN_USER}
+GROUPS=		${MUNIN_GROUP}
+
 ALL_TARGET=	build-common-prime
 INSTALL_TARGET=	install-common
 
@@ -35,8 +38,8 @@ MAN3=		Munin::Common::Config.3 \
 		Munin::Common::Timeout.3
 
 post-install:
-	@${MKDIR} ${LOGDIR}
-	@${CHOWN} ${USERS}:${GROUPS} ${LOGDIR}
+	@${MKDIR} ${LOGDIR} ${STATEDIR} ${SPOOLDIR}
+	@${CHOWN} ${USERS}:${GROUPS} ${LOGDIR} ${STADEDIR} ${SPOOLDIR}
 	@(cd ${WRKSRC}/common/blib/libdoc && for man in ${MAN3} ; do \
 		${INSTALL_MAN} -C $$man ${PREFIX}/man/man3; \
 	done)

Modified: head/sysutils/munin-common/distinfo
==============================================================================
--- head/sysutils/munin-common/distinfo	Thu Sep 13 20:33:53 2012	(r304232)
+++ head/sysutils/munin-common/distinfo	Thu Sep 13 22:00:33 2012	(r304233)
@@ -1,2 +1,2 @@
-SHA256 (munin-1.4.7.tar.gz) = 9a87356b1f8662f444a7a2a86ff36809124ffe787c442de0ea35850194d602af
-SIZE (munin-1.4.7.tar.gz) = 1236273
+SHA256 (munin-2.0.6.tar.gz) = ff99a3c36156adb6b867bb684ec508a857728336c0b81a93955bbcc9d5045ea6
+SIZE (munin-2.0.6.tar.gz) = 1325754

Modified: head/sysutils/munin-common/files/patch-Makefile
==============================================================================
--- head/sysutils/munin-common/files/patch-Makefile	Thu Sep 13 20:33:53 2012	(r304232)
+++ head/sysutils/munin-common/files/patch-Makefile	Thu Sep 13 22:00:33 2012	(r304233)
@@ -1,11 +1,27 @@
---- Makefile.orig	2010-01-30 10:49:44.000000000 -0700
-+++ Makefile	2010-01-30 10:49:53.000000000 -0700
-@@ -69,7 +69,7 @@
- 	mkdir -p $(LOGDIR)
- 	mkdir -p $(STATEDIR)
+--- Makefile.orig	2012-08-31 17:22:50.000000000 +0200
++++ Makefile	2012-09-08 00:38:17.000000000 +0200
+@@ -68,11 +68,11 @@
+ 
+ install-pre: Makefile Makefile.config
+ 	@$(CHECKUSER)
+-	mkdir -p $(LOGDIR)
+-	mkdir -p $(STATEDIR)
+-	mkdir -p $(SPOOLDIR)
++#	mkdir -p $(LOGDIR)
++#	mkdir -p $(STATEDIR)
++#	mkdir -p $(SPOOLDIR)
  	mkdir -p $(CONFDIR)
--	$(CHOWN) $(USER) $(LOGDIR) $(STATEDIR)
-+	$(CHOWN) $(USER) $(STATEDIR)
+-	$(CHOWN) $(USER) $(LOGDIR) $(STATEDIR) $(SPOOLDIR)
++#	$(CHOWN) $(USER) $(LOGDIR) $(STATEDIR) $(SPOOLDIR)
  
  install-master-prime: $(INFILES_MASTER) install-pre install-master
  	mkdir -p $(CONFDIR)/templates
+@@ -144,7 +144,7 @@
+ 	mkdir -p $(LIBDIR)/plugins
+ 	mkdir -p $(PLUGSTATE)
+ 
+-	$(CHOWN) root:root $(PLUGSTATE)
++	$(CHOWN) root:wheel $(PLUGSTATE)
+ 	$(CHMOD) 0755 $(PLUGSTATE)
+ 	$(CHMOD) 0755 $(CONFDIR)/plugin-conf.d
+ 

Modified: head/sysutils/munin-common/munin.mk
==============================================================================
--- head/sysutils/munin-common/munin.mk	Thu Sep 13 20:33:53 2012	(r304232)
+++ head/sysutils/munin-common/munin.mk	Thu Sep 13 22:00:33 2012	(r304233)
@@ -1,20 +1,30 @@
+MUNIN_VERSION=	2.0.6
+MUNIN_SITES=	SF/${PORTNAME}/stable/${PORTVERSION}
+MUNIN_DISTINFO=	${PORTSDIR}/sysutils/munin-common/distinfo
+MUNIN_PATCHES=	${PORTSDIR}/sysutils/munin-common/files/patch-Makefile \
+		${PORTSDIR}/sysutils/munin-common/files/patch-Makefile.config
+
 DBDIR?=		/var/${PORTNAME}
+DBDIRNODE?=	/var/${PORTNAME}
 LOGDIR?=	/var/log/${PORTNAME}
 STATEDIR?=	/var/run/${PORTNAME}
+SPOOLDIR?=	/var/spool/${PORTNAME}
 MUNIN_DIRS=	BINDIR=${PREFIX}/bin \
 		CGIDIR=${PREFIX}/www/cgi-bin \
 		CONFDIR=${ETCDIR} \
 		DBDIR=${DBDIR} \
+		DBDIRNODE=${DBDIRNODE} \
 		DOCDIR=${DOCSDIR} \
 		HTMLDIR=${WWWDIR} \
 		LIBDIR=${DATADIR} \
 		LOGDIR=${LOGDIR} \
 		MANDIR=${MANPREFIX}/man \
 		SBINDIR=${PREFIX}/sbin \
-		STATEDIR=${STATEDIR}
+		STATEDIR=${STATEDIR} \
+		SPOOLDIR=${SPOOLDIR}
 MAKE_ARGS=	${MUNIN_DIRS} \
 		BASH=${LOCALBASE}/bin/bash \
 		PERL=${PERL} PERLLIB=${PREFIX}/${SITE_PERL_REL}
-PLIST_SUB=	${MUNIN_DIRS}
-USERS=		munin
-GROUPS=		munin
+MUNIN_USER=	munin
+MUNIN_GROUP=	munin
+PLIST_SUB=	${MUNIN_DIRS} USER=${MUNIN_USER} GROUP=${MUNIN_GROUP}

Modified: head/sysutils/munin-common/pkg-plist
==============================================================================
--- head/sysutils/munin-common/pkg-plist	Thu Sep 13 20:33:53 2012	(r304232)
+++ head/sysutils/munin-common/pkg-plist	Thu Sep 13 22:00:33 2012	(r304233)
@@ -1,12 +1,13 @@
 %%SITE_PERL%%/Munin/Common/Config.pm
 %%SITE_PERL%%/Munin/Common/Defaults.pm
+%%SITE_PERL%%/Munin/Common/DictFile.pm
+%%SITE_PERL%%/Munin/Common/SyncDictFile.pm
 %%SITE_PERL%%/Munin/Common/TLS.pm
 %%SITE_PERL%%/Munin/Common/TLSClient.pm
 %%SITE_PERL%%/Munin/Common/TLSServer.pm
 %%SITE_PERL%%/Munin/Common/Timeout.pm
 @dirrm %%SITE_PERL%%/Munin/Common
 @dirrm %%SITE_PERL%%/Munin
-@exec mkdir -p %%LOGDIR%%
-@unexec /bin/rmdir %%LOGDIR%% 2>/dev/null || /usr/bin/true
-@exec mkdir -p %%STATEDIR%%
-@unexec /bin/rmdir %%STATEDIR%% 2>/dev/null || /usr/bin/true
+@exec mkdir -p %%LOGDIR%% %%STATEDIR%% %%SPOOLDIR%%
+@exec chown %%USER%%:%%GROUP%% %%LOGDIR%% %%STATEDIR%% %%SPOOLDIR%%
+@unexec rmdir %%LOGDIR%% %%STATEDIR%% %%SPOOLDIR%% 2>/dev/null || /usr/bin/true

Modified: head/sysutils/munin-master/Makefile
==============================================================================
--- head/sysutils/munin-master/Makefile	Thu Sep 13 20:33:53 2012	(r304232)
+++ head/sysutils/munin-master/Makefile	Thu Sep 13 22:00:33 2012	(r304233)
@@ -6,10 +6,9 @@
 #
 
 PORTNAME=	munin
-PORTVERSION=	1.4.7
-PORTREVISION=	3
+PORTVERSION=	${MUNIN_VERSION}
 CATEGORIES=	sysutils perl5
-MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}%20stable/${PORTVERSION}
+MASTER_SITES=	${MUNIN_SITES}
 PKGNAMESUFFIX=	-master
 
 MAINTAINER=	flo@FreeBSD.org
@@ -17,22 +16,30 @@ COMMENT=	Collector part of Munin
 
 BUILD_DEPENDS=	p5-Module-Build>=0:${PORTSDIR}/devel/p5-Module-Build \
 		munin-common>=0:${PORTSDIR}/sysutils/munin-common \
-		p5-Net-SSLeay>=0:${PORTSDIR}/security/p5-Net-SSLeay \
 		rrdtool>=0:${PORTSDIR}/databases/rrdtool \
 		p5-Storable>=0:${PORTSDIR}/devel/p5-Storable \
+		p5-CGI.pm>=0:${PORTSDIR}/www/p5-CGI.pm \
 		p5-DateTime-HiRes>=0:${PORTSDIR}/devel/p5-DateTime-HiRes \
+		p5-File-Copy-Recursive>=0:${PORTSDIR}/devel/p5-File-Copy-Recursive \
 		p5-Getopt-Long>=0:${PORTSDIR}/devel/p5-Getopt-Long \
 		p5-HTML-Template>=0:${PORTSDIR}/www/p5-HTML-Template \
+		p5-IO-Socket-INET6>=0:${PORTSDIR}/net/p5-IO-Socket-INET6 \
 		p5-Log-Log4perl>=0:${PORTSDIR}/devel/p5-Log-Log4perl \
+		p5-Net-SSLeay>=0:${PORTSDIR}/security/p5-Net-SSLeay \
+		p5-Params-Validate>=0:${PORTSDIR}/devel/p5-Params-Validate \
 		p5-Text-Balanced>=0:${PORTSDIR}/textproc/p5-Text-Balanced
 RUN_DEPENDS=	munin-common>=0:${PORTSDIR}/sysutils/munin-common \
 		rrdtool>=0:${PORTSDIR}/databases/rrdtool \
-		p5-Net-SSLeay>=0:${PORTSDIR}/security/p5-Net-SSLeay \
+		p5-CGI.pm>=0:${PORTSDIR}/www/p5-CGI.pm \
 		p5-Storable>=0:${PORTSDIR}/devel/p5-Storable \
 		p5-DateTime-HiRes>=0:${PORTSDIR}/devel/p5-DateTime-HiRes \
+		p5-File-Copy-Recursive>=0:${PORTSDIR}/devel/p5-File-Copy-Recursive \
 		p5-Getopt-Long>=0:${PORTSDIR}/devel/p5-Getopt-Long \
 		p5-HTML-Template>=0:${PORTSDIR}/www/p5-HTML-Template \
+		p5-IO-Socket-INET6>=0:${PORTSDIR}/net/p5-IO-Socket-INET6 \
 		p5-Log-Log4perl>=0:${PORTSDIR}/devel/p5-Log-Log4perl \
+		p5-Net-SSLeay>=0:${PORTSDIR}/security/p5-Net-SSLeay \
+		p5-Params-Validate>=0:${PORTSDIR}/devel/p5-Params-Validate \
 		p5-Text-Balanced>=0:${PORTSDIR}/textproc/p5-Text-Balanced
 
 USE_PERL5=	yes
@@ -41,7 +48,9 @@ PKGMESSAGE=	${WRKDIR}/pkg-message
 
 .include "${.CURDIR}/../munin-common/munin.mk"
 
-ALL_TARGET=	build-master build-man
+EXTRA_PATCHES=	${MUNIN_PATCHES}
+DISTINFO_FILE=	${MUNIN_DISTINFO}
+ALL_TARGET=	infiles build-master build-man
 INSTALL_TARGET=	install-master-prime
 
 MAN3=		Munin::Master::Config.3 \
@@ -79,6 +88,7 @@ pre-install:
 
 post-install:
 	@${CHOWN} ${USERS}:${GROUPS} ${DBDIR} ${STATEDIR} ${WWWDIR}
+	@${CHOWN} ${WWWOWN} ${DBDIR}/cgi-tmp
 	@${INSTALL_DATA} ${WRKSRC}/build/master/munin.conf \
 		${PREFIX}/etc/munin/munin.conf.sample
 	@(cd ${WRKSRC}/master/blib/libdoc && for man in ${MAN3}; do \

Added: head/sysutils/munin-master/files/patch-bug1251
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/munin-master/files/patch-bug1251	Thu Sep 13 22:00:33 2012	(r304233)
@@ -0,0 +1,155 @@
+diff --git a/master/_bin/munin-cgi-graph.in b/master/_bin/munin-cgi-graph.in
+index dec4aa2..bcfbe90 100755
+--- master/_bin/munin-cgi-graph.in
++++ master/_bin/munin-cgi-graph.in
+@@ -90,7 +90,7 @@ while (new CGI::Fast) {
+     my $pinpoint = undef;
+     my $path = $ENV{PATH_INFO} || "";
+ 
+-    INFO "Request path is $path";
++    DEBUG "Request path is $path";
+ 
+     # The full URL looks like this:
+     # Case 1:
+@@ -133,7 +133,7 @@ while (new CGI::Fast) {
+     my ($dom, $host, $serv, $scale) =
+       $path =~ m#^/(.*)/([^/]+)/([\w-]+)-([\w=,]+)\.png#; ## avoid bug in vim
+ 
+-    INFO "asked for ($dom, $host, $serv, $scale)";
++    DEBUG "asked for ($dom, $host, $serv, $scale)";
+ 
+     if ($scale =~ /pinpoint=(\d+),(\d+)/) {
+ 	    $pinpoint = [ $1, $2, ];
+diff --git a/master/_bin/munin-graph.in b/master/_bin/munin-graph.in
+index fb47333..b8fc0d0 100755
+--- master/_bin/munin-graph.in
++++ master/_bin/munin-graph.in
+@@ -84,7 +84,7 @@ my $nb_request_max = 0;
+ my $graph_fh = new IO::File($config->{dbdir} . "/graphs");
+ while (my $path = <$graph_fh>) {
+     my $pinpoint = undef;
+-    INFO "Request path is $path";
++    DEBUG "Request path is $path";
+ 
+     # The full URL looks like this:
+     # Case 1:
+@@ -126,7 +126,7 @@ while (my $path = <$graph_fh>) {
+     my ($dom, $host, $serv, $scale) =
+       $path =~ m#^/(.*)/([^/]+)/(\w+)-([\w=,]+)\.png#; ## avoid bug in vim
+ 
+-    INFO "asked for ($dom, $host, $serv, $scale)";
++    DEBUG "asked for ($dom, $host, $serv, $scale)";
+ 
+     if ($scale =~ /pinpoint=(\d+),(\d+)/) {
+ 	    $pinpoint = [ $1, $2, ];
+@@ -159,15 +159,8 @@ while (my $path = <$graph_fh>) {
+     }
+ 
+     # Now send it: headers
+-    INFO "X-Munin-Request: $nb_request/$nb_request_max";
++    DEBUG "X-Munin-Request: $nb_request/$nb_request_max";
+ 
+-    my $headers = get_headers_for_file($filename, $graph_ttl);
+-    foreach my $header_name (keys %$headers) {
+-        INFO "$header_name: $headers->{$header_name}";
+-    }
+-
+-    # ... and graph data
+-    # send_graph_data($filename);
+ } continue {
+ 	$nb_request++;
+ 	if ($nb_request_max && $nb_request > $nb_request_max) {
+@@ -179,27 +172,6 @@ while (my $path = <$graph_fh>) {
+ 
+ exit 0;
+ 
+-
+-sub get_headers_for_file {
+-    my ($filename, $graph_ttl) = @_;
+-
+-    # At this time the file exists and should be served
+-    my @stats       = stat ($filename);
+-    my $mtime_epoch = $stats[9];
+-    my $last_modified = get_w3c_date_from_epoch($mtime_epoch);
+-
+-    # "Expires" has to use last modified time as base:
+-    my $graph_next_expires = $mtime_epoch - ($mtime_epoch % $graph_ttl) + $graph_ttl;
+-    my $expires       = get_w3c_date_from_epoch($graph_next_expires);
+-
+-    return {
+-	    "Expires" => $expires,
+-	    "Last-Modified" => $last_modified,
+-	    "Content-Length" => $stats[7],
+-	   };
+-}
+-
+-
+ sub get_w3c_date_from_epoch {
+     my($epoch) = @_;
+     return strftime("%a, %d %b %Y %H:%M:%S GMT", gmtime($epoch));
+diff --git a/master/lib/Munin/Master/GraphOld.pm b/master/lib/Munin/Master/GraphOld.pm
+index 004484d..d2fe3fd 100644
+--- master/lib/Munin/Master/GraphOld.pm
++++ master/lib/Munin/Master/GraphOld.pm
+@@ -1350,7 +1350,7 @@ sub process_service {
+     for my $time (keys %times) {
+         next unless ($draw{$time});
+         my $picfilename = get_picture_filename($service, $time);
+-	INFO "[INFO] Looking into drawing $picfilename";
++	DEBUG "[DEBUG] Looking into drawing $picfilename";
+         (my $picdirname = $picfilename) =~ s/\/[^\/]+$//;
+ 
+         DEBUG "[DEBUG] Picture filename: $picfilename";
+diff --git a/master/lib/Munin/Master/HTMLConfig.pm b/master/lib/Munin/Master/HTMLConfig.pm
+index dfa8b70..bbccffa 100644
+--- master/lib/Munin/Master/HTMLConfig.pm
++++ master/lib/Munin/Master/HTMLConfig.pm
+@@ -473,7 +473,7 @@ sub generate_service_templates {
+ 	    }
+     }
+ 
+-    if ($config->{'graph_strategy'} eq "cgi") {
++    if (munin_get($config, "graph_strategy", "cron") eq "cgi") {
+ 	map { $srv{$_} = $config->{'cgiurl_graph'} . "/" . $imgs{$_} } keys %imgs;
+     } else {
+ 	map { $srv{$_} = $root_path . "/" . $imgs{$_} } keys %imgs;
+@@ -500,7 +500,7 @@ sub generate_service_templates {
+ 	for my $scale (@times) {
+         # Don't try to find the size if cgi is enabled, 
+         # otherwise old data might pollute  
+-        next if ($config->{'graph_strategy'} eq "cgi");
++        next if (munin_get($config, "graph_strategy", "cron") eq "cgi");
+         if (my ($w, $h)
+             = get_png_size(munin_get_picture_filename($service, $scale))) {
+             $srv{"img" . $scale . "width"}  = $w;
+@@ -512,7 +512,7 @@ sub generate_service_templates {
+         $srv{imgweeksum} = "$srv{node}-week-sum.png";
+         $srv{imgyearsum} = "$srv{node}-year-sum.png";
+         for my $scale (["week", "year"]) {
+-            next if ($config->{'graph_strategy'} eq "cgi");
++            next if (munin_get($config, "graph_strategy", "cron") eq "cgi");
+             if (my ($w, $h)
+                 = get_png_size(munin_get_picture_filename($service, $scale, 1)))
+             {
+diff --git a/master/lib/Munin/Master/Logger.pm b/master/lib/Munin/Master/Logger.pm
+index f2f05ca..580357c 100644
+--- master/lib/Munin/Master/Logger.pm
++++ master/lib/Munin/Master/Logger.pm
+@@ -90,7 +90,7 @@ sub logger_open_stderr {
+ 	$logopened = 1;
+     }
+ 
+-    get_logger('')->info("Opened log file");
++    get_logger('')->debug("Opened log file");
+ 
+     # Get perl warnings into the log files
+     $SIG{__WARN__} = \&_warn_catcher;
+@@ -117,7 +117,7 @@ sub logger_open {
+ 	$logopened = 1;
+     }
+ 
+-    get_logger('')->info("Opened log file");
++    get_logger('')->debug("Opened log file");
+ 
+     # Get perl warnings into the log files
+     $SIG{__WARN__} = \&_warn_catcher;

Modified: head/sysutils/munin-master/pkg-plist
==============================================================================
--- head/sysutils/munin-master/pkg-plist	Thu Sep 13 20:33:53 2012	(r304232)
+++ head/sysutils/munin-master/pkg-plist	Thu Sep 13 22:00:33 2012	(r304233)
@@ -3,31 +3,43 @@ bin/munin-cron
 @unexec if cmp -s %D/%%ETCDIR%%/munin.conf.sample %D/%%ETCDIR%%/munin.conf ; then rm -f %D/%%ETCDIR%%/munin.conf ; fi
 %%ETCDIR%%/munin.conf.sample
 @exec if [ ! -f %D/%%ETCDIR%%/munin.conf ] ; then cp -p %D/%%ETCDIR%%/munin.conf.sample %D/%%ETCDIR%%/munin.conf ; fi
-%%ETCDIR%%/templates/definitions.html
-%%ETCDIR%%/templates/favicon.ico
-%%ETCDIR%%/templates/logo-h.png
-%%ETCDIR%%/templates/logo.png
+%%ETCDIR%%/static/definitions.html
+%%ETCDIR%%/static/dynazoom.html
+%%ETCDIR%%/static/favicon.ico
+%%ETCDIR%%/static/formatdate.js
+%%ETCDIR%%/static/logo-h.png
+%%ETCDIR%%/static/logo.png
+%%ETCDIR%%/static/querystring.js
+%%ETCDIR%%/static/style-1.2.css
+%%ETCDIR%%/static/style-new.css
+%%ETCDIR%%/static/style.css
+%%ETCDIR%%/static/zoom.js
 %%ETCDIR%%/templates/munin-comparison-day.tmpl
 %%ETCDIR%%/templates/munin-comparison-month.tmpl
 %%ETCDIR%%/templates/munin-comparison-week.tmpl
 %%ETCDIR%%/templates/munin-comparison-year.tmpl
+%%ETCDIR%%/templates/munin-categoryview.tmpl
+%%ETCDIR%%/templates/munin-dynazoom.tmpl
 %%ETCDIR%%/templates/munin-domainview.tmpl
 %%ETCDIR%%/templates/munin-nodeview.tmpl
 %%ETCDIR%%/templates/munin-overview.tmpl
+%%ETCDIR%%/templates/munin-problemview.tmpl
 %%ETCDIR%%/templates/munin-serviceview.tmpl
 %%ETCDIR%%/templates/partial/bottom_navigation.tmpl
+%%ETCDIR%%/templates/partial/footer.tmpl
 %%ETCDIR%%/templates/partial/generated_by.tmpl
 %%ETCDIR%%/templates/partial/head.tmpl
 %%ETCDIR%%/templates/partial/logo_navigation.tmpl
 %%ETCDIR%%/templates/partial/logo_navigation_comparison.tmpl
+%%ETCDIR%%/templates/partial/logo_navigation_problem.tmpl
 %%ETCDIR%%/templates/partial/logo_path.tmpl
+%%ETCDIR%%/templates/partial/navigation.tmpl
 %%ETCDIR%%/templates/partial/path.tmpl
-%%ETCDIR%%/templates/style-1.2.css
-%%ETCDIR%%/templates/style.css
 %%SITE_PERL%%/Munin/Master/Config.pm
 %%SITE_PERL%%/Munin/Master/GraphOld.pm
 %%SITE_PERL%%/Munin/Master/Group.pm
 %%SITE_PERL%%/Munin/Master/GroupRepository.pm
+%%SITE_PERL%%/Munin/Master/HTMLConfig.pm
 %%SITE_PERL%%/Munin/Master/HTMLOld.pm
 %%SITE_PERL%%/Munin/Master/Host.pm
 %%SITE_PERL%%/Munin/Master/LimitsOld.pm
@@ -40,19 +52,22 @@ bin/munin-cron
 %%SITE_PERL%%/Munin/Master/Worker.pm
 %%DATADIR%%/DejaVuSans.ttf
 %%DATADIR%%/DejaVuSansMono.ttf
+%%DATADIR%%/munin-datafile2storable
 %%DATADIR%%/munin-graph
 %%DATADIR%%/munin-html
 %%DATADIR%%/munin-limits
+%%DATADIR%%/munin-storable2datafile
 %%DATADIR%%/munin-update
 %%WWWDIR%%/.htaccess
 www/cgi-bin/munin-cgi-graph
-www/cgi-bin/munin-fastcgi-graph
+www/cgi-bin/munin-cgi-html
 @dirrmtry www/cgi-bin
 @dirrmtry %%WWWDIR%%
 @dirrmtry %%DATADIR%%
 @dirrmtry %%DBDIR%%
 @dirrm %%SITE_PERL%%/Munin/Master
 @dirrmtry %%SITE_PERL%%/Munin
+@dirrmtry %%ETCDIR%%/static
 @dirrmtry %%ETCDIR%%/templates/partial
 @dirrmtry %%ETCDIR%%/templates
 @exec mkdir -p %D/%%ETCDIR%%/munin-conf.d

Modified: head/sysutils/munin-node/Makefile
==============================================================================
--- head/sysutils/munin-node/Makefile	Thu Sep 13 20:33:53 2012	(r304232)
+++ head/sysutils/munin-node/Makefile	Thu Sep 13 22:00:33 2012	(r304233)
@@ -6,9 +6,9 @@
 #
 
 PORTNAME=	munin
-PORTVERSION=	1.4.7
+PORTVERSION=	${MUNIN_VERSION}
 CATEGORIES=	sysutils perl5
-MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}%20stable/${PORTVERSION}
+MASTER_SITES=	${MUNIN_SITES}
 PKGNAMESUFFIX=	-node
 
 MAINTAINER=	flo@FreeBSD.org
@@ -27,6 +27,8 @@ RUN_DEPENDS=	p5-Cache-Cache>=0:${PORTSDI
 		p5-Net-SNMP>=0:${PORTSDIR}/net-mgmt/p5-Net-SNMP \
 		bash:${PORTSDIR}/shells/bash
 
+DISTINFO_FILE=	${MUNIN_DISTINFO}
+EXTRA_PATCHES+=	${MUNIN_PATCHES}
 USE_PERL5=	yes
 USE_GMAKE=	yes
 PKGMESSAGE=	${WRKDIR}/pkg-message
@@ -40,6 +42,7 @@ INSTALL_TARGET=	install-node-prime insta
 MAN1=		munin-node-configure.1 \
 		munin-node.1 \
 		munin-run.1 \
+		munin-sched.1 \
 		munindoc.1
 MAN3_NODE=	Munin::Node::Config.3 \
 		Munin::Node::Configure::Debug.3 \
@@ -49,10 +52,13 @@ MAN3_NODE=	Munin::Node::Config.3 \
 		Munin::Node::Configure::PluginList.3 \
 		Munin::Node::Logger.3 \
 		Munin::Node::OS.3 \
+		Munin::Node::ProxySpooler.3 \
 		Munin::Node::SNMPConfig.3 \
 		Munin::Node::Server.3 \
 		Munin::Node::Service.3 \
 		Munin::Node::Session.3 \
+		Munin::Node::SpoolReader.3 \
+		Munin::Node::SpoolWriter.3 \
 		Munin::Node::Utils.3
 MAN3_PLUGIN=	Munin::Plugin.3 \
 		Munin::Plugin::Pgsql.3 \
@@ -62,7 +68,7 @@ MAN5=		munin-node.conf.5
 MAN8=		munin.8
 
 SUB_FILES=	pkg-message munin-node-revive.sh
-USE_RC_SUBR=	munin-node
+USE_RC_SUBR=	munin-node munin-sched
 
 post-patch:
 	@${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|g' \

Added: head/sysutils/munin-node/files/munin-sched.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/munin-node/files/munin-sched.in	Thu Sep 13 22:00:33 2012	(r304233)
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+
+# PROVIDE: munin-sched
+# REQUIRE: DAEMON
+# BEFORE:  cron
+
+#
+# Add the following lines to /etc/rc.conf to enable munin-sched:
+# munin_sched_enable (bool):      Set to "NO" by default.
+#                                Set it to "YES" to enable munin-sched
+# munin_sched_config (path):      Set to "%%PREFIX%%/etc/munin/munin-node.conf" by default.
+#
+
+. /etc/rc.subr
+
+name="munin_sched"
+rcvar=munin_sched_enable
+
+[ -z "$munin_sched_enable" ] && munin_sched_enable="NO"
+[ -z "$munin_sched_config" ] && munin_sched_config="%%PREFIX%%/etc/munin/munin-node.conf"
+
+command="%%PREFIX%%/sbin/munin-sched"
+pidfile=`awk '$1 == "pid_file" { print $2 }' $munin_sched_config`
+
+load_rc_config $name
+run_rc_command "$1"

Modified: head/sysutils/munin-node/files/patch-node__sbin__munin-node
==============================================================================
--- head/sysutils/munin-node/files/patch-node__sbin__munin-node	Thu Sep 13 20:33:53 2012	(r304232)
+++ head/sysutils/munin-node/files/patch-node__sbin__munin-node	Thu Sep 13 22:00:33 2012	(r304233)
@@ -1,6 +1,6 @@
---- node/sbin/munin-node.orig	Wed Oct 20 14:51:29 2010
-+++ node/sbin/munin-node	Wed Oct 20 14:52:34 2010
-@@ -56,6 +56,9 @@ sub main {
+--- node/sbin/munin-node.orig	2012-07-24 12:45:57.000000000 +0200
++++ node/sbin/munin-node	2012-07-30 11:30:49.735734436 +0200
+@@ -53,8 +53,11 @@
          $ENV{$key} =~ /^(.*)$/;
          $ENV{$key} = $1;
      }
@@ -8,5 +8,8 @@
 +    # must not contain writable directories.
 +    $ENV{PATH}='/bin:/sbin:/usr/bin:/usr/sbin:%%PREFIX%%/bin:%%PREFIX%%/sbin';
  
-     $0 =~ /^(.*)$/;
+-    $0 =~ /([^\/]*)$/;
++    $0 =~ /^(.*)$/;
      $0 = $1;
+ 
+     parse_args();

Added: head/sysutils/munin-node/files/patch-plugins__node.d.freebsd__iostat.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/munin-node/files/patch-plugins__node.d.freebsd__iostat.in	Thu Sep 13 22:00:33 2012	(r304233)
@@ -0,0 +1,16 @@
+--- ./plugins/node.d.freebsd/iostat.in.orig	2012-07-11 14:14:27.841196443 +0200
++++ ./plugins/node.d.freebsd/iostat.in	2012-07-11 14:14:32.619552027 +0200
+@@ -56,13 +56,11 @@
+     for d in $drives; do
+        echo "${d}_read.label ${d}"
+        echo "${d}_read.type DERIVE"
+-       echo "${d}_read.max 2000"
+        echo "${d}_read.min 0"
+        echo "${d}_read.graph no"
+        echo "${d}_write.label ${d}"
+        echo "${d}_write.info I/O on device ${d}"
+        echo "${d}_write.type DERIVE"
+-       echo "${d}_write.max 2000"
+        echo "${d}_write.min 0"
+        echo "${d}_write.negative ${d}_read"
+     done

Added: head/sysutils/munin-node/files/patch-plugins__node.d__hddtemp_smartctl.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/munin-node/files/patch-plugins__node.d__hddtemp_smartctl.in	Thu Sep 13 22:00:33 2012	(r304233)
@@ -0,0 +1,11 @@
+--- plugins/node.d/hddtemp_smartctl.in.orig	2012-09-11 11:26:15.928249255 +0200
++++ plugins/node.d/hddtemp_smartctl.in	2012-09-11 11:26:48.947249274 +0200
+@@ -151,7 +151,7 @@
+   # without probing them.
+ } elsif ($^O eq 'freebsd') {
+   opendir(DEV, '/dev');
+-  @drives = grep /^ad[0-9]+$/, readdir DEV;
++  @drives = grep /^ad[0-9]+$|^ada[0-9]+$/, readdir DEV;
+   closedir(DEV);
+ } elsif ($^O eq 'solaris') {
+   @drives = map { s@.*/@@ ; $_ } glob '/dev/rdsk/c*t*d*s2';

Modified: head/sysutils/munin-node/files/patch-plugins__node.d__squeezebox_.in
==============================================================================
--- head/sysutils/munin-node/files/patch-plugins__node.d__squeezebox_.in	Thu Sep 13 20:33:53 2012	(r304232)
+++ head/sysutils/munin-node/files/patch-plugins__node.d__squeezebox_.in	Thu Sep 13 22:00:33 2012	(r304233)
@@ -1,24 +1,24 @@
---- ./plugins/node.d/squeezebox_.in.orig	2010-03-09 22:23:57.000000000 +0100
-+++ ./plugins/node.d/squeezebox_.in	2010-03-09 22:24:16.000000000 +0100
-@@ -157,7 +157,7 @@ if [ "$CMD" = "years" ]; then
- 		# echo "graph_order y0"
- 		echo -n "graph_order y"; echo $years_array | sed 's/ / y/g'
+--- ./plugins/node.d/squeezebox_.in.orig	2012-08-14 17:19:40.000000000 +0200
++++ ./plugins/node.d/squeezebox_.in	2012-08-27 13:55:40.573530762 +0200
+@@ -156,7 +156,7 @@
+ 		printf "graph_order y"
+         echo $years_array | sed 's/ / y/g'
  
 -		for i in `seq 0 $no_of_years`; do
 +		for i in `jot - 0 $no_of_years`; do
  			year=$(echo ${arr1[$i]})
  			if [ $year = 0 ]; then
  				echo y0.label No year
-@@ -172,7 +172,7 @@ if [ "$CMD" = "years" ]; then
+@@ -171,7 +171,7 @@
  		done
  		exit 0
- 	fi 
+ 	fi
 -	for i in `seq 0 $no_of_years`; do
 +	for i in `jot - 0 $no_of_years`; do
  		year=$(echo ${arr1[$i]})
- 		echo -n "y${year}.value "
+ 		printf "y%s.value " ${year}
  		printf "%b" "albums 0 0 year:${year}\nexit\n" | $NC $HOST $PORT | sed 's/%3A/:/g' | cut -d ':' -f 3
-@@ -183,7 +183,7 @@ elif [ "$CMD" = "signalstrength" -o "$CM
+@@ -182,7 +182,7 @@
              echo "graph_category Squeezebox"
              COUNT=$(printf "%b" "player count ?\nexit\n" | $NC $HOST $PORT | cut -d " " -f 3)
              (( COUNT-- ))
@@ -27,7 +27,7 @@
                  MAC=$(printf "%b" "player id $ID ?\nexit\n" | $NC $HOST $PORT | cut -d " " -f 4 | sed 's/%3A/:/g')
  		NAME=$(printf "%b" "player name $MAC ?\nexit\n" | $NC $HOST $PORT | cut -d " " -f 4 | sed 's/%20/ /g')
  		MAC2=$(echo $MAC | sed 's/://g; s/\./_/g')
-@@ -193,7 +193,7 @@ elif [ "$CMD" = "signalstrength" -o "$CM
+@@ -192,7 +192,7 @@
          fi
          COUNT=$(printf "%b" "player count ?\nexit\n" | $NC $HOST $PORT | cut -d " " -f 3)
          (( COUNT-- ))

Modified: head/sysutils/munin-node/pkg-plist
==============================================================================
--- head/sysutils/munin-node/pkg-plist	Thu Sep 13 20:33:53 2012	(r304232)
+++ head/sysutils/munin-node/pkg-plist	Thu Sep 13 22:00:33 2012	(r304233)
@@ -15,10 +15,13 @@ bin/munindoc
 %%SITE_PERL%%/Munin/Node/Configure/PluginList.pm
 %%SITE_PERL%%/Munin/Node/Logger.pm
 %%SITE_PERL%%/Munin/Node/OS.pm
+%%SITE_PERL%%/Munin/Node/ProxySpooler.pm
 %%SITE_PERL%%/Munin/Node/SNMPConfig.pm
 %%SITE_PERL%%/Munin/Node/Server.pm
 %%SITE_PERL%%/Munin/Node/Service.pm
 %%SITE_PERL%%/Munin/Node/Session.pm
+%%SITE_PERL%%/Munin/Node/SpoolReader.pm
+%%SITE_PERL%%/Munin/Node/SpoolWriter.pm
 %%SITE_PERL%%/Munin/Node/Utils.pm
 %%SITE_PERL%%/Munin/Plugin.pm
 %%SITE_PERL%%/Munin/Plugin/Pgsql.pm
@@ -26,6 +29,7 @@ bin/munindoc
 sbin/munin-node
 sbin/munin-node-configure
 sbin/munin-run
+sbin/munin-sched
 %%DATADIR%%/plugins/amavis
 %%DATADIR%%/plugins/apache_accesses
 %%DATADIR%%/plugins/apache_processes
@@ -43,7 +47,6 @@ sbin/munin-run
 %%DATADIR%%/plugins/bind9
 %%DATADIR%%/plugins/bind9_rndc
 %%DATADIR%%/plugins/cmc_tc_sensor_
-%%DATADIR%%/plugins/colour_tester
 %%DATADIR%%/plugins/coretemp
 %%DATADIR%%/plugins/courier_
 %%DATADIR%%/plugins/courier_mta_mailqueue
@@ -57,11 +60,9 @@ sbin/munin-run
 %%DATADIR%%/plugins/dhcpd3
 %%DATADIR%%/plugins/digitemp_
 %%DATADIR%%/plugins/ejabberd_
-%%DATADIR%%/plugins/env
 %%DATADIR%%/plugins/exim_mailqueue
 %%DATADIR%%/plugins/exim_mailqueue_alt
 %%DATADIR%%/plugins/exim_mailstats
-%%DATADIR%%/plugins/extinfo_tester
 %%DATADIR%%/plugins/fail2ban
 %%DATADIR%%/plugins/foldingathome
 %%DATADIR%%/plugins/foldingathome_rank
@@ -71,20 +72,21 @@ sbin/munin-run
 %%DATADIR%%/plugins/freeradius_proxy_acct
 %%DATADIR%%/plugins/freeradius_proxy_auth
 %%DATADIR%%/plugins/haproxy_
+%%DATADIR%%/plugins/haproxy_ng
 %%DATADIR%%/plugins/hddtemp
 %%DATADIR%%/plugins/hddtemp2
 %%DATADIR%%/plugins/hddtemp_smartctl
 %%DATADIR%%/plugins/hddtempd
+%%DATADIR%%/plugins/hp2000_
 %%DATADIR%%/plugins/http_loadtime
-%%DATADIR%%/plugins/id
 %%DATADIR%%/plugins/if_
 %%DATADIR%%/plugins/if_errcoll_
 %%DATADIR%%/plugins/ifx_concurrent_sessions_
 %%DATADIR%%/plugins/iostat
 %%DATADIR%%/plugins/ipac-ng
+%%DATADIR%%/plugins/ipmi_
 %%DATADIR%%/plugins/ipmi_sensor_
 %%DATADIR%%/plugins/ircu
-%%DATADIR%%/plugins/jmx_
 %%DATADIR%%/plugins/load
 %%DATADIR%%/plugins/loggrep
 %%DATADIR%%/plugins/lpstat
@@ -94,7 +96,6 @@ sbin/munin-run
 %%DATADIR%%/plugins/memcached_
 %%DATADIR%%/plugins/memory
 %%DATADIR%%/plugins/mhttping
-%%DATADIR%%/plugins/multigraph_tester
 %%DATADIR%%/plugins/multiping
 %%DATADIR%%/plugins/multips
 %%DATADIR%%/plugins/multips_memory
@@ -126,6 +127,8 @@ sbin/munin-run
 %%DATADIR%%/plugins/open_files
 %%DATADIR%%/plugins/openvpn
 %%DATADIR%%/plugins/perdition
+%%DATADIR%%/plugins/pgbouncer_connections
+%%DATADIR%%/plugins/pgbouncer_requests
 %%DATADIR%%/plugins/ping_
 %%DATADIR%%/plugins/plugin.sh
 %%DATADIR%%/plugins/plugins.history
@@ -134,15 +137,19 @@ sbin/munin-run
 %%DATADIR%%/plugins/postfix_mailqueue
 %%DATADIR%%/plugins/postfix_mailstats
 %%DATADIR%%/plugins/postfix_mailvolume
+%%DATADIR%%/plugins/postgres_autovacuum
 %%DATADIR%%/plugins/postgres_bgwriter
 %%DATADIR%%/plugins/postgres_cache_
 %%DATADIR%%/plugins/postgres_checkpoints
 %%DATADIR%%/plugins/postgres_connections_
 %%DATADIR%%/plugins/postgres_connections_db
 %%DATADIR%%/plugins/postgres_locks_
+%%DATADIR%%/plugins/postgres_oldest_prepared_xact_
+%%DATADIR%%/plugins/postgres_prepared_xacts_
 %%DATADIR%%/plugins/postgres_querylength_
 %%DATADIR%%/plugins/postgres_scans_
 %%DATADIR%%/plugins/postgres_size_
+%%DATADIR%%/plugins/postgres_streaming_
 %%DATADIR%%/plugins/postgres_transactions_
 %%DATADIR%%/plugins/postgres_tuples_
 %%DATADIR%%/plugins/postgres_users
@@ -217,7 +224,6 @@ sbin/munin-run
 %%DATADIR%%/plugins/users
 %%DATADIR%%/plugins/varnish_
 %%DATADIR%%/plugins/vmstat
-%%DATADIR%%/plugins/warning_tester
 %%DATADIR%%/plugins/zimbra_
 @dirrmtry %%DBDIR%%/plugin-state
 @dirrmtry %%DBDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Florian Smeets freebsd_committer 2012-09-13 23:02:25 UTC
State Changed
From-To: open->closed

Committed. Thanks!